function init(hero) {
    hero.setName("The Deep");
    hero.setTier(5);

    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("bfp:aquatic_supe_physiology", "fiskheroes:charged_punch", "bfp:water_blast", "fiskheroes:retractable_shield", "bfp:drown_ability");
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);

    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);

    hero.addKeyBind("ENERGY_PROJECTION", "Water Blast", 1);
    hero.addKeyBind("SHIELD", "Aqua-Forcefield", 2);
    hero.addKeyBind("TELEKINESIS", "Drown", 3);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("BASE_SPEED", -0.50, 1);
    profile.addAttribute("JUMP_HEIGHT", -2.0, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield_blocking") ? "SHIELD" : null;
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
        case "TELEKINESIS":
            return entity.isInWater();
}
return true;
}

function isModifierEnabled(entity, modifier) {
switch(modifier.name()) {
    case "fiskheroes:gliding" :
        return entity.isInWater();
}
return true;
}